API referenceProviders

Discover Model Provider Models

GET/api/v1/model-providers/{provider_id}/models

Authorization

AuthorizationBearer <token>

A workspace API key (a13n_...)

In: header

Path Parameters

provider_id*Provider Id

Header Parameters

X-Workspace-ID?|

The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/model-providers/string/models"
[  {    "characteristics": {      "capabilities": [        "string"      ],      "compact_threshold": 0.9,      "context_window_tokens": 1,      "image_input": {        "image_split_max_height": 4096,        "image_split_overlap": 50,        "max_image_bytes": 5242880,        "max_image_dimension": 8000,        "max_images": 20,        "split_large_images": true,        "support_gif": true      },      "proactive_context_management_threshold": 0.65,      "url_input": {        "video": [          "string"        ]      },      "video_input": {        "max_video_bytes": 10485760      }    },    "display_name": "string",    "slug": "string"  }]